Subject: bug#23476: 25.0.93; Visiting C files on master signals an error

From: Alan Mackenzie <[email-masked]>
Date: Sat, 7 May 2016 20:10:05 +0000

Hello, Eli.

On Sat, May 07, 2016 at 09:57:50PM +0300, Eli Zaretskii wrote:
> > Date: Sat, 7 May 2016 18:52:25 +0000
> > Cc: [email-masked], [email-masked]
> > From: Alan Mackenzie <[email-masked]>

[ .... ]

> > IF_LINT is an absurd macro, and C macros in general are absurd (unlike
> > Lisp ones).  Something's got to give.

> Correct fontification is not important enough to be annoyed like
> that.  IMO, this cure is worse than the disease.

Apologies.  I hadn't anticipated this could be so annoying.

[ .... ]

> I frequently visit and edit Emacs sources with "emacs -Q", so the
> annoyance will be constant for me.

> Let's try to find a solution that doesn't involve unsafe values.  I
> hope there is such a solution; if not, I'd rather have the macro
> mis-fontified than be annoyed by these questions each time I visit an
> Emacs source file.

OK.  Let's see what we can do to make this better.

> Thanks.

-- 
Alan Mackenzie (Nuremberg, Germany).